#pragma once

#include "CoreMinimal.h"
#include "DBDExcludableTableRow.h"
#include "EGameType.h"
#include "HoHGameTypeData.generated.h"

USTRUCT(BlueprintType)
struct FHoHGameTypeData : public FDBDExcludableTableRow
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EGameType GameType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString EventName;

public:
	DEADBYDAYLIGHT_API FHoHGameTypeData();
};

FORCEINLINE uint32 GetTypeHash(const FHoHGameTypeData) { return 0; }
